<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
$cat = $db -> query("SELECT `id`,`name` FROM `albom_cat`")->fetch_assoc();
$diz -> head('Фотоальбомы');
$diz -> title("<a href='./'>Фотоальбомы</a>/<b>".$cat['name']."</b>");
////-------------------/////
$count = $db -> dbcount('COUNT(`id`)','albom_pav',"`cat` = '".$id."'");
$num = isset($ya['num']) ? $ya['num'] : 10;
$total = intval(($count - 1) / $num) + 1; 
if (!isset($_GET['page']) || !is_numeric($_GET['page']) || $_GET['page'] < 1 )
{
$page = 1;
} elseif($_GET['page'] > $total)
{ $page = $total;
} else $page = (int)$_GET['page'];
$start = $page * $num - $num;
////------------------/////
$for = $db -> query("SELECT * FROM `albom_pav` where `cat`='$id' order by `time` DESC LIMIT ".$start.",".$num);
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$nst2 = $db -> dbcount('COUNT(*)','albom_fotos','`time` > '.(time()-86400).' and `cat`='.$assoc['id'].'');
if ($nst2==0)$nst2=NULL;
else $nst2='<span style="color:red">+'.$nst2.'</span>';
$st = $db -> dbcount('COUNT(*)','albom_fotos','`cat`='.$assoc['id'].'');                   
$msg .= '<div class="spisok">'.$diz -> img('albom/albom.png').'<a href="albom'.$assoc['id'].'"> '.$assoc['name'].'</a> ('.$st.''.$nst2.')</br>
'.$assoc['text'].' ('.$func->user($assoc['user']).')</div>';
}
$act = 'cat.php?id='.$id;
$msg .= ''.$func -> pagenav($act,$page,$total).'';
} else {
$msg .= '<div class="fon">Фотоальбомов в данной категории пока нет</div>';
}
$msg .= '<div class="levo">'.$diz -> img('home.png').'<a href="/">На главную</a></div>';
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
?>